package com.unis.crk.basic.entity.Enum;

/**
 * 编码规则，规则类型.
* <p>Title: CodeRuleType</p>
* <p>Description: </p>
* @author yaoyabin
* @date 2017年12月15日 下午5:06:15
 */
public enum CodeRuleDetailType {
    orgCodeType("组织编码", "orgCodeType"),
    customType("自定义字符", "customType"),
    dateType("日期时间", "dateType");
	
	private String name;
	private String value;
    /**
     * @return the name
     */
    public String getName() {
        return name;
    }
    /**
     * @return the value
     */
    public String getValue() {
        return value;
    }
    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }
    /**
     * @param value the value to set
     */
    public void setValue(String value) {
        this.value = value;
    }
    /**
     * @param name
     * @param value
     */
    private CodeRuleDetailType(String name, String value) {
        this.name = name;
        this.value = value;
    }
    
    
	
}
